package com.ruoyi.programManagement.entity.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 行政区划书请求类
 */
@Data
@ApiModel("行政区划书请求类")
public class BPlanEnterPriseTreeResponse {

    /**
     * 计划id
     */
    @ApiModelProperty("计划id")
    private Long id;

    /**
     * 所在县（市，区）
     */
   @ApiModelProperty("所在县（市，区）")
    private String county;

    /**
     * 所在乡镇
     * （街道）
     */
    @ApiModelProperty("所在乡镇")
    private String subdistrict;


    /**
     *  企业总数
     */
    @ApiModelProperty("企业总数")
    private Integer enterpriseCount;

    /**
     *  已计划数
     */
    @ApiModelProperty("已计划数")
    private Integer plannedEnterpriseCount;

    /**
     *  已计划重点数
     */
    @ApiModelProperty("已计划重点数")
    private Integer planneKeyEnterpriseCount;

    /**
     *  剩余重点数
     */
    @ApiModelProperty("剩余重点数")
    private Integer remainingKeyEnterpriseCount;

    /**
     *  名称
     */
    @ApiModelProperty("名称")
    private String institutionName;


//    private List<BPlanEnterPriseTreeResponse> children;
//
//
//    public BPlanEnterPriseTreeResponse(String county, String subdistrict) {
//        this.county = county;
//        this.subdistrict = subdistrict;
//        this.children = new ArrayList<>();
//    }
//
//    public void addChild(BPlanEnterPriseTreeResponse childDto) {
//        this.children.add(childDto);
//    }
}
